{"openapi":"3.1.0","info":{"title":"3TAPP - VERSION 1.0.0","description":"This is a sample Pet Store Server based on the OpenAPI 3.1 specification.","termsOfService":"3TAPP","contact":{"email":"nguyenquelan2405@gmai.com"},"version":"1.0.0"},"externalDocs":{"description":"Find out more 3TAPP","url":"https://app.clickup.com/9008224847/v/dc/8cex6jf-1145/8cex6jf-245"},"servers":[{"url":"https://3tapp"}],"tags":[{"name":"pet","description":"Everything about your Pets","externalDocs":{"description":"Find out more","url":"http://swagger.io"}},{"name":"store","description":"Access to Petstore orders","externalDocs":{"description":"Find out more about our store","url":"http://swagger.io"}},{"name":"user","description":"Operations about user"},{"name":"admin","description":"Operations about Admin"}],"paths":{"/pet":{"put":{"tags":["pet"],"summary":"Update an existing pet","description":"Update an existing pet by Id","operationId":"updatePet","requestBody":{"description":"Update an existent pet in the store","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Pet"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}}}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Pet not found"},"405":{"description":"Validation exception"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]},"post":{"tags":["pet"],"summary":"Add a new pet to the store","description":"Add a new pet to the store","operationId":"addPet","requestBody":{"description":"Create a new pet in the store","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Pet"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}}}},"405":{"description":"Invalid input"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/findByStatus":{"get":{"tags":["pet"],"summary":"Finds Pets by status","description":"Multiple status values can be provided with comma separated strings","operationId":"findPetsByStatus","parameters":[{"name":"status","in":"query","description":"Status values that need to be considered for filter","required":false,"explode":true,"schema":{"type":"string","default":"available","enum":["available","pending","sold"]}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pet"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pet"}}}}},"400":{"description":"Invalid status value"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/findByTags":{"get":{"tags":["pet"],"summary":"Finds Pets by tags","description":"Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing.","operationId":"findPetsByTags","parameters":[{"name":"tags","in":"query","description":"Tags to filter by","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pet"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pet"}}}}},"400":{"description":"Invalid tag value"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/{petId}":{"get":{"tags":["pet"],"summary":"Find pet by ID","description":"Returns a single pet","operationId":"getPetById","parameters":[{"name":"petId","in":"path","description":"ID of pet to return","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}}}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Pet not found"}},"security":[{"api_key":[]},{"petstore_auth":["write:pets","read:pets"]}]},"post":{"tags":["pet"],"summary":"Updates a pet in the store with form data","description":"","operationId":"updatePetWithForm","parameters":[{"name":"petId","in":"path","description":"ID of pet that needs to be updated","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Name of pet that needs to be updated","schema":{"type":"string"}},{"name":"status","in":"query","description":"Status of pet that needs to be updated","schema":{"type":"string"}}],"responses":{"405":{"description":"Invalid input"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]},"delete":{"tags":["pet"],"summary":"Deletes a pet","description":"delete a pet","operationId":"deletePet","parameters":[{"name":"api_key","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"petId","in":"path","description":"Pet id to delete","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Invalid pet value"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/{petId}/uploadImage":{"post":{"tags":["pet"],"summary":"uploads an image","description":"","operationId":"uploadFile","parameters":[{"name":"petId","in":"path","description":"ID of pet to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"additionalMetadata","in":"query","description":"Additional Metadata","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/store/inventory":{"get":{"tags":["store"],"summary":"Returns pet inventories by status","description":"Returns a map of status codes to quantities","operationId":"getInventory","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int32"}}}}}},"security":[{"api_key":[]}]}},"/store/order":{"post":{"tags":["store"],"summary":"Place an order for a pet","description":"Place a new order in the store","operationId":"placeOrder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Order"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Order"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"405":{"description":"Invalid input"}}}},"/store/order/{orderId}":{"get":{"tags":["store"],"summary":"Find purchase order by ID","description":"For valid response try integer IDs with value <= 5 or > 10. Other values will generate exceptions.","operationId":"getOrderById","parameters":[{"name":"orderId","in":"path","description":"ID of order that needs to be fetched","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Order"}}}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Order not found"}}},"delete":{"tags":["store"],"summary":"Delete purchase order by ID","description":"For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors","operationId":"deleteOrder","parameters":[{"name":"orderId","in":"path","description":"ID of the order that needs to be deleted","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Invalid ID supplied"},"404":{"description":"Order not found"}}}},"/admin/login":{"post":{"tags":["admin"],"summary":"Logs Admin into the system","description":"","operationId":"loginAdmin","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["email","password"],"properties":{"email":{"type":"string","default":"nguyenquelan@mail.com"},"password":{"type":"string","default":"nguyenquelan20!@"}}}}}},"responses":{"200":{"description":"Login succes","content":{"application/json":{"schema":{"type":"string","default":"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.e3mg9HK7UfDFcKHeW-nhuVPEXk43PK5inr7CYTMYQRM"}}}},"400":{"description":"Invalid username/password supplied","content":{"application/json":{"schema":{"type":"string","default":"Invalid username or password supplied"}}}},"500":{"description":"Server Error"}}}},"/admin/user":{"get":{"tags":["admin"],"summary":"Get All Users profile","description":"","operationId":"getAllUser","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"prop1":{"type":"object","required":["firstname","lastname","age","email","phone","location","avatar","date_of_birth","score","achievements"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"email":{"type":"string","default":"nguyenquelan@mail.com"},"phone":{"type":"string","default":"0971649697"},"location":{"type":"array","default":[15.978685,108.248819]},"avatar":{"type":"string","default":"https://gravatar.com/avatar/942f7cb9ee42a94d23ca81ef287abd22?s=400&d=robohash&r=x"},"date_of_birth":{"type":"string","default":"2023-10-12T14:59:49+0000"},"score":{"type":"integer","default":100},"achievements":{"type":"object","required":["detect","feedback","correct","wrong"],"properties":{"detect":{"type":"integer","default":10},"feedback":{"type":"integer","default":10},"correct":{"type":"integer","default":10},"wrong":{"type":"integer","default":10}}}}},"prop2":{"type":"object","required":["firstname","lastname","age","email","phone","location","avatar","date_of_birth","score","achievements"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"email":{"type":"string","default":"nguyenquelan@mail.com"},"phone":{"type":"string","default":"0971649697"},"location":{"type":"array","default":[15.978685,108.248819]},"avatar":{"type":"string","default":"https://gravatar.com/avatar/942f7cb9ee42a94d23ca81ef287abd22?s=400&d=robohash&r=x"},"date_of_birth":{"type":"string","default":"2023-10-12T14:59:49+0000"},"score":{"type":"integer","default":100},"achievements":{"type":"object","required":["detect","feedback","correct","wrong"],"properties":{"detect":{"type":"integer","default":10},"feedback":{"type":"integer","default":10},"correct":{"type":"integer","default":10},"wrong":{"type":"integer","default":10}}}}}}}}}}}}}},"/admin/user/{userId}":{"get":{"tags":["admin"],"summary":"Get user by userId","description":"","operationId":"getUserbyID","parameters":[{"name":"userId","in":"path","description":"The name that needs to be fetched. Use user1 for testing. ","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}},"application/xml":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}},"put":{"tags":["admin"],"summary":"Update user by userId","description":"This can only be done by the logged in admin.","operationId":"updateUser","parameters":[{"name":"username","in":"path","description":"name that need to be deleted","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Update an existent user in the store","content":{"application/json":{"schema":{"type":"object","required":["firstname","lastname","age","phone","location","avatar","date_of_birth","role","score","achievements"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"phone":{"type":"string","default":"0971649697"},"location":{"type":"array","default":[15.978685,108.248819]},"avatar":{"type":"string","default":"https://gravatar.com/avatar/942f7cb9ee42a94d23ca81ef287abd22?s=400&d=robohash&r=x"},"date_of_birth":{"type":"string","default":"2023-10-12T14:59:49+0000"},"role":{"type":"string","default":"user"},"score":{"type":"integer","default":0},"achievements":{"type":"object","required":["detect","correct","wrong","feedback"],"properties":{"detect":{"type":"integer","default":0},"correct":{"type":"integer","default":0},"wrong":{"type":"integer","default":0},"feedback":{"type":"integer","default":0}}}}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"string","default":"successful operation"}}}}}},"delete":{"tags":["admin"],"summary":"Delete user by userId","description":"This can only be done by the logged in user.","operationId":"deleteUser","parameters":[{"name":"userId","in":"path","description":"The name that needs to be deleted","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid userId supplied"},"404":{"description":"User not found"}}}},"/user/register":{"post":{"tags":["user"],"summary":"Register account","description":"This can only be done by the logged in user.","operationId":"createUser","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["firstname","lastname","age","email","password","confirmpassword"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"email":{"type":"string","default":"nguyenquelan@mail.com"},"password":{"type":"string","default":"nguyenquelan20!@"},"confirmpassword":{"type":"string","default":"nguyenquelan20!@"}}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"string","default":"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.e3mg9HK7UfDFcKHeW-nhuVPEXk43PK5inr7CYTMYQRM"}}}},"400":{"description":"Invalid username/password supplied","content":{"application/json":{"schema":{"type":"string","default":"Invalid username or password supplied"}}}},"500":{"description":"Server Error"}}}},"/user/login":{"post":{"tags":["user"],"summary":"Logs user into the system","description":"","operationId":"loginUser","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["email","password"],"properties":{"email":{"type":"string","default":"nguyenquelan@mail.com"},"password":{"type":"string","default":"nguyenquelan20!@"}}}}}},"responses":{"200":{"description":"Login succes","content":{"application/json":{"schema":{"type":"string","default":"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.e3mg9HK7UfDFcKHeW-nhuVPEXk43PK5inr7CYTMYQRM"}}}},"400":{"description":"Invalid username/password supplied","content":{"application/json":{"schema":{"type":"string","default":"Invalid username or password supplied"}}}},"500":{"description":"Server Error"}}}},"/user/logout":{"post":{"tags":["user"],"summary":"Logs out current logged in user session","description":"","operationId":"logoutUser","responses":{"default":{"description":"successful operation"}}}},"/user/forgot-password":{"post":{"tags":["user"],"summary":"Send CODE to Email","description":"","operationId":"forgotPasswordUser","requestBody":{"content":{"application/json":{"schema":{"type":"string","default":"nguyenquelan@mail.com"}}}},"responses":{"default":{"description":"successful operation"}}}},"/user/reset-password":{"post":{"tags":["user"],"summary":"Enter new password","description":"","operationId":"resetPasswordUser","requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["mailcode","password","password"],"properties":{"mailcode":{"type":"string","default":123456},"email":{"type":"string","default":"landeptrai123@"},"password":{"type":"string","default":"landeptrai123@"}}}}}},"responses":{"200":{"description":"Change password Succes","content":{"application/json":{"schema":{"type":"string","default":"Change password Succes"}}}},"400":{"description":"Invalid mailCode","content":{"application/json":{"schema":{"type":"string","default":"Invalid mailCode"}}}},"500":{"description":"Server Error"}}}},"/user/auth/google":{"post":{"tags":["user"],"summary":"Logging user OAuth gooogle","description":"","operationId":"authGoogle","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["code"],"properties":{"code":{"type":"string","default":"4%2F0AbUR2VPc2mJ0zoSxvWVI2XwyCV-8PwkVpIoUu1SBfV3CSYJ30orHOff_fse9GzsG0UpTtw"}}}}}},"responses":{"200":{"description":"Login succes","content":{"application/json":{"schema":{"type":"string","default":"Success"}}}},"500":{"description":"Server Error"}}}},"/user/feedback":{"get":{"tags":["user"],"summary":"get all FeedbackLabel","description":"","operationId":"getFeedbackLabel","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","required":["label1","label2","label3","label4"],"properties":{"label1":{"type":"string","default":"glass"},"label2":{"type":"string","default":"paper"},"label3":{"type":"string","default":"metal"},"label4":{"type":"string","default":"plastic"}}}}}}}},"post":{"tags":["user"],"summary":"Send Feedback","description":"","operationId":"sendFeedback","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["user_id","imageUrl","label","location"],"properties":{"user_id":{"type":"string","default":"MjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwi"},"imageUrl":{"type":"string","default":"https://www.gravatar.com/avatar/205e460b479e2e5b48aec07710c08d50?s=200"},"label":{"type":"string","default":"glass"},"location":{"type":"array","default":[15.978685,108.248819]}}}}}},"responses":{"200":{"description":"Send Feedback success","content":{"application/json":{"schema":{"type":"string","default":"Send Feedback success"}}}},"400":{"description":"Invalid requestbody","content":{"application/json":{"schema":{"type":"string","default":"Invalid requestbody"}}}}}}},"/user/trashbin":{"get":{"tags":["user"],"summary":"get all trash Bins","description":"","operationId":"getTrashBins","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","required":["bin1","bin2"],"properties":{"bin1":{"type":"object","required":["name","location","type","descriptionBin"],"properties":{"name":{"type":"string","default":"Thùng rác khu vực hoà hải - ngũ hành sơn"},"location":{"type":"array","default":[15.978685,108.248819]},"type":{"type":"string","default":"HazardousWaste - rác nguy hoại"},"descriptionBin":{"type":"string","default":"Mô tả thùng rác, chú thích ..."}}},"bin2":{"type":"object","required":["name","location","type","descriptionBin"],"properties":{"name":{"type":"string","default":"Thùng rác khu vực hoà hải - ngũ hành sơn"},"location":{"type":"array","default":[15.978685,108.248819]},"type":{"type":"string","default":"HazardousWaste - rác nguy hoại"},"descriptionBin":{"type":"string","default":"Mô tả thùng rác, chú thích ..."}}}}}}}}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/user/userInfo":{"get":{"tags":["user"],"summary":"Get info User","description":"","operationId":"getInfoUser","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","required":["firstname","lastname","age","email","phone","location","avatar","date_of_birth","score","achievements"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"email":{"type":"string","default":"nguyenquelan@mail.com"},"phone":{"type":"string","default":"0971649697"},"location":{"type":"array","default":[15.978685,108.248819]},"avatar":{"type":"string","default":"https://gravatar.com/avatar/942f7cb9ee42a94d23ca81ef287abd22?s=400&d=robohash&r=x"},"date_of_birth":{"type":"string","default":"2023-10-12T14:59:49+0000"},"score":{"type":"integer","default":100},"achievements":{"type":"object","required":["detect","feedback","correct","wrong"],"properties":{"detect":{"type":"integer","default":10},"feedback":{"type":"integer","default":10},"correct":{"type":"integer","default":10},"wrong":{"type":"integer","default":10}}}}}}}}}},"patch":{"tags":["user"],"summary":"Update user","description":"This can only be done by the logged in user.","operationId":"updateInfoUser","requestBody":{"description":"Update an existent user in the store","content":{"application/json":{"schema":{"type":"object","required":["firstname","lastname","age","phone","location","avatar","date_of_birth"],"properties":{"firstname":{"type":"string","default":"Nguyen"},"lastname":{"type":"string","default":"Que Lan"},"username":{"type":"string","default":"nguyenquelan"},"phone":{"type":"string","default":"0971649697"},"location":{"type":"array","default":[15.978685,108.248819]},"avatar":{"type":"string","default":"https://gravatar.com/avatar/942f7cb9ee42a94d23ca81ef287abd22?s=400&d=robohash&r=x"},"date_of_birth":{"type":"string","default":"2023-10-12T14:59:49+0000"}}}}}},"responses":{"default":{"description":"successful operation"}}}},"/user/{username}":{"get":{"tags":["user"],"summary":"Get user by user name","description":"","operationId":"getUserByName","parameters":[{"name":"username","in":"path","description":"The name that needs to be fetched. Use user1 for testing. ","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}},"application/xml":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}},"put":{"tags":["user"],"summary":"Update user","description":"This can only be done by the logged in user.","operationId":"updateUsera","parameters":[{"name":"username","in":"path","description":"name that need to be deleted","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Update an existent user in the store","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}},"application/xml":{"schema":{"$ref":"#/components/schemas/User"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/User"}}}},"responses":{"default":{"description":"successful operation"}}},"delete":{"tags":["user"],"summary":"Delete user","description":"This can only be done by the logged in user.","operationId":"deleteUsera","parameters":[{"name":"username","in":"path","description":"The name that needs to be deleted","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}}}},"components":{"schemas":{"Order":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":10},"petId":{"type":"integer","format":"int64","example":198772},"quantity":{"type":"integer","format":"int32","example":7},"shipDate":{"type":"string","format":"date-time"},"status":{"type":"string","description":"Order Status","example":"approved","enum":["placed","approved","delivered"]},"complete":{"type":"boolean"}},"xml":{"name":"order"}},"Customer":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":100000},"username":{"type":"string","example":"fehguy"},"address":{"type":"array","xml":{"name":"addresses","wrapped":true},"items":{"$ref":"#/components/schemas/Address"}}},"xml":{"name":"customer"}},"Address":{"type":"object","properties":{"street":{"type":"string","example":"437 Lytton"},"city":{"type":"string","example":"Palo Alto"},"state":{"type":"string","example":"CA"},"zip":{"type":"string","example":"94301"}},"xml":{"name":"address"}},"Category":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":1},"name":{"type":"string","example":"Dogs"}},"xml":{"name":"category"}},"User":{"type":"object","properties":{"age":{"type":"integer","format":"int64","example":10},"username":{"type":"string","example":"lantuyan"},"firstName":{"type":"string","example":"John"},"lastName":{"type":"string","example":"James"},"email":{"type":"string","example":"nguyenquelan@email.com"},"password":{"type":"string","example":"12345abc"},"confirmpassword":{"type":"string","example":"12345abc"},"phone":{"type":"string","example":"12345"}},"xml":{"name":"user"}},"Tag":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}},"xml":{"name":"tag"}},"Pet":{"required":["name","photoUrls"],"type":"object","properties":{"id":{"type":"integer","format":"int64","example":10},"name":{"type":"string","example":"doggie"},"category":{"$ref":"#/components/schemas/Category"},"photoUrls":{"type":"array","xml":{"wrapped":true},"items":{"type":"string","xml":{"name":"photoUrl"}}},"tags":{"type":"array","xml":{"wrapped":true},"items":{"$ref":"#/components/schemas/Tag"}},"status":{"type":"string","description":"pet status in the store","enum":["available","pending","sold"]}},"xml":{"name":"pet"}},"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"type":{"type":"string"},"message":{"type":"string"}},"xml":{"name":"##default"}}},"requestBodies":{"Pet":{"description":"Pet object that needs to be added to the store","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}}}},"UserArray":{"description":"List of user object","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}}},"securitySchemes":{"petstore_auth":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://petstore3.swagger.io/oauth/authorize","scopes":{"write:pets":"modify pets in your account","read:pets":"read your pets"}}}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}}}}